Get attendee's registered sessions with filter

Using this API, you can get the list of sessions for which the attendee has subscribed.

You can also pass query parameters like expand, sessionFormat, showPastAndUpcoming, filterDate to filter response data.

This API can be used by authenticated users only, and it will require super admin/event admin/event staff/attendee level access.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Here is the description of response attributes, which returns to the form of JSON.

AttributesDescription
recordsTotalIt will return a count of total session for event.
recordsFilteredIt will return a count of filtered records of session.
sessionIdThe sessionId represents the unique ID of each session. It will be generated automatically when a new session is created.
titleIt contains the title of the session.
startTimeIt contains the session's starting time in the yyyy/MM/dd HH:mm format.
endTimeIt contains the session's end time in the yyyy/MM/dd HH:mm format.
locationIt's contains location of session.
descriptionIt contains the description of the session.
It's only 65024 Characters are allowed to add description.
capacityIt's returns the capacity in number for session to allow maximum number of user can join.
statusIt's contains the session status type, there are two type of session visibility : VISIBLE, HIDDEN.
Visible status will show in session list and hidden status will do not show in session list.
formatIt's returns the session format. Can set when create session. There are seven type of session can create that contains MAIN_STAGE, BREAKOUT_SESSION, MEET_UP, WORKSHOP, EXPO, BREAK, OTHER.
speakerListIt's returns the list of speakers that associated with session. It's contains speaker details like speakerId, firatName, lastName, photoUrl and other.
sponsorListList of sponsor with their details associated with the session.
sessionStatsIt's returns session related count details which associated with session like registered users count, interested users count, attendee count and session speaker count. For getting this details with sessions list, need to pass sessionSpeakerCount with API to expand query parameter value.
registerdHolderUsersIt's contains details of registered user details who register for session. It's contain details like event ticketing ID, user ID, first name, last name, email, phone number and other.
currentUserRegisteredEventTicketIdIt's contains the Event Ticketing ID that a ticketing holder user registered for a session. Event Ticketing ID generates when we create Ticketing Type.
purchaserUserRegisteredEventTicketIdIt's contains the Event Ticketing ID that a ticketing holder user purchaser for a session. Event Ticketing ID generates when we create Ticketing Type.
durationIt's contains the session time span.
enableChatIf enable chat is false, then session chat will not show in portal page. If true, then it will show.
enablePollIf enable poll is false, then session poll will not show in portal page. If true, then it will show.
enableQuesAndAnsIf enable QuesAndAns is false, then session QuesAndAns will not show in portal page. If true, then it will show.
hideSessionFromAttendeesIt will hide session from attendee if flag returns true from display page and portal page.
tagsIt's contains tags for session.
tracksIt contains the tracks details like ID, name, colour, description and position. It will filter session from all session.
ticketTypesThatCanBeRegisteredIt will contain ticketing type IDs with comma separated value. That only ticketing type can register for session.
streamProviderIt's contains the Stream Provider Name Of session. Session contains ACCELEVENTS, WISTIA, YOUTUBE, VIMEO, FACEBOOK, ZOOM, DIRECT_UPLOAD stream provider.
subStreamProviderIt's contains the Sub Stream Provider Name Of session. Session contains VOXEET,CHIME,OPENTOK,AGORA sub stream provider.
streamUrlIt contains streaming URL. For WISTIA, YOUTUBE, VIMEO, FACEBOOK, ZOOM, DIRECT_UPLOAD need to set streaming URL for ACCELEVENTS it will generate unique streaming UR.
streamKeyIt's contain unique stream key.
rtmpUrlIt's contain rtmp URL. It will use to put in OBS studio with stream key.
accelEventsStudioIt returns true if stream provider is ACCELEVENTS else false.
directVideoAutoStartIf returns true, session video start automatically when enter into session.
assetListList of asset for setting default playback after live stream ends.
displayDonationIt's returns boolean for display donation button for session.
closedCaptionUrlIt's returns caption URL which is used in session for transcription of speaker dialogue that appears on the bottom of the video. EX : https://www.streamtext.net/player?event=IHaveADream
closedCaptionHeightThe height of closed caption for the session, which is the default value, will be 150.
meetingPasswordSession meeting password if host set for session.
documentKeyValueJSON list of session document key value.
Key generate automatically while uploading document and value represent document name.
linkKeyValueJSON list of session link key value.
Key generate automatically while uploading document and value represent key name.
sessionVisibilityTypeSession visibility type PUBLIC, PRIVATE
PUBLIC session will show to all at portal and display side.
PRIVATE session will not visible at portal and display side.
subTitleFileUrl
hideVideoControlsIt's returns boolean for either wants to hide or show video controls from attendee.
recordSessionIt's returns boolean for either wants to record session.
positionSession position value, which is default 1000 which assigned according to concurrent sessions and next concurrent sessions value will be 2000. Session position will decide session order, how they display at portal and display page.
allowedMinutesToJoinLateReturn minutes to allow attendee to join the session late. Attendee once “registered” as (bookmark) the session before the elapsed session time. They can “join a session late” as(viewing a recording).
enableAttendeeListIt's returns boolean to show attendee list.
playBackRestrictionTokenIt's contains playback restriction token, which is allows you to set additional rules for playing videos. For instance, viewers can play videos embedded on the https://example.com website when you set the Playback Restrictions with example.com as an allowed domain. Any Video requests from other websites are denied.
thumbnailRestrictionTokenIt's contains playback restriction token, which is allows you to set additional rules for thumbnails. For instance, viewers can view thumbnails embedded on the https://example.com website when you set the Playback Restrictions with example.com as an allowed domain. Any thumbnails request from other websites are denied.
postSessionCallToActionJsonIt's returns details for postSessionCallToActionJson which is when the session ends it should see a message suggesting what I should go see next during the event.
chimeConfigReturns chime configuration details related to session, which is contains Mute Attendees on Entry and Disable Attendees Camera on Entry.
qnAPrivateIt's returns boolean either need private Q&A or need to visible for attendee, which returns true or false values.

Here are the possible error messages, which return if any condition gets failed or required data is missing for processing.

Error CodeError Description
400The request could not be understood by the server due to malformed syntax.
401You are not authorized to view the resource.
403Accessing the resource you were trying to reach is forbidden.
404The resource you were trying to reach is not found.
4040200Event Not Found
4010101Not authorized
Path Params
string
required

Event url is unique identifier for your event. E.g https://www.accelevents.com/events/demo. Here demo is the event url.

Query Params
string
required

Get records accordingly values passed in expand parameter as comma separated values. For e.g TAG,TRACK,SPEAKER,currentUserRegisteredEventTicketId

string

It's value can be MAIN_STAGE, BREAKOUT_SESSION, MEET_UP, WORKSHOP, EXPO, BREAK, OTHER

boolean
Defaults to true

If showPastAndUpcoming is true, it will pull all sessions otherwise only upcoming sessions will be pulled

string

Date format should be yyyy-MM-dd’T’HH:mm:ssZ, E.g 2020-06-19T00:00:00+0530, Hours and minutes should be zero

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json